Mono.Data.Sqlite 4.0.0.0 System.Data.Common.DbParameter System.ICloneable SQLite implementation of DbParameter. To be added.
- Constructor
  4.0.0.0
  Default constructor
  To be added.
- Constructor
  4.0.0.0
  The datatype of the parameter
  Constructs an unnamed parameter of the specified data type
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  Constructs a named parameter given the specified parameter name
  To be added.
- Constructor
  4.0.0.0
  The data type
  The size of the parameter
  Constructs an unnamed parameter of the specified type and size
  To be added.
- Constructor
  4.0.0.0
  The datatype of the parameter
  The initial value of the parameter
  Constructs an unnamed parameter of the specified data type and sets the initial value
  To be added.
- Constructor
  4.0.0.0
  The datatype of the parameter
  The source column
  Constructs an unnamed parameter of the specified data type and source column
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  The datatype of the parameter
  Constructs a named parameter of the specified type
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  The initial value of the parameter
  Constructs a named parameter given the specified parameter name and initial value
  To be added.
- Constructor
  4.0.0.0
  The data type
  The size of the parameter
  The source column
  Constructs an unnamed parameter of the specified type, size, and source column
  To be added.
- Constructor
  4.0.0.0
  The data type
  The source column
  The row version information
  Constructs an unnamed parameter of the specified data type, source column and row version
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  The data type
  The size of the parameter
  Constructs a named parameter of the specified type and size
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  The data type
  The source column
  Constructs a named parameter of the specified type and source column reference
  To be added.
- Constructor
  4.0.0.0
  The data type
  The size of the parameter
  The source column
  The row version information
  Constructs an unnamed parameter of the specified type, size, source column and row version
  To be added.
- Constructor
  4.0.0.0
  The name of the parameter
  The data type
  The size of the parameter
  The source column
  Constructs a named parameter of the specified type, size and source column
  To be added.
- Constructor
  4.0.0.0
  The parameter name
  The data type
  The source column
  The row version information
  Constructs a named parameter of the specified type, source column and row version
  To be added.
- Constructor
  4.0.0.0
  The name of the parameter
  The data type
  The size of the parameter
  The source column
  The row version information
  Constructs a named parameter of the specified type, size, source column and row version
  To be added.
- Constructor
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The name of the parameter
  The data type
  The size of the parameter
  Only input parameters are supported in SQLite
  Ignored
  Ignored
  Ignored
  The source column
  The row version information
  The initial value to assign the parameter
  Constructs a named parameter of the specified type, size, source column and row version
  To be added.
- Constructor
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The name of the parameter
  The data type
  The size of the parameter
  Only input parameters are supported in SQLite
  Ignored
  Ignored
  The source column
  The row version information
  Whether or not this parameter is for comparing NULL's
  The intial value to assign the parameter
  Constructs a named parameter, yet another flavor
  To be added.
- Method
  4.0.0.0
  System.Object Clones a parameter A new, unassociated SqliteParameter To be added.
- Property
  4.0.0.0
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.Data.Common.DbProviderSpecificTypeProperty(true)
  System.Data.DbType Returns the datatype of the parameter To be added. To be added.
- Property
  4.0.0.0
  System.Data.ParameterDirection Supports only input parameters To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Whether or not the parameter can contain a null value To be added. To be added.
- Property
  4.0.0.0
  System.String Returns the parameter name To be added. To be added.
- Method
  4.0.0.0
  System.Void Resets the DbType of the parameter so it can be inferred from the value To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(0)
  System.Int32 Returns the size of the parameter To be added. To be added.
- Property
  4.0.0.0
  System.String Gets/sets the source column To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Used by DbCommandBuilder to determine the mapping for nullable fields To be added. To be added.
- Property
  4.0.0.0
  System.Data.DataRowVersion Gets and sets the row version To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.StringConverter))
  System.Object Gets and sets the parameter value. If no datatype was specified, the datatype will assume the type from the value given. To be added. To be added.